<table class="stretch">
  <tr>
    <td align="center">
      <mat-form-field>
        <input matInput [(ngModel)]="event.name" name="name" placeholder="Name">
      </mat-form-field>
    </td>

    <td align="center">
      <mat-form-field>
        <input matInput [(ngModel)]="event.description" name="description" placeholder="Description">
      </mat-form-field>
    </td>

    <td align="center">
      <mat-form-field>
        <mat-label>Type</mat-label>
        <mat-select name="type" [(ngModel)]="event.type">
          <mat-option [value]="">
            None
          </mat-option>
          <mat-option *ngFor="let eventType of eventTypes" [value]="eventType">
            {{eventType}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </td>
  </tr>

  <tr>
    <td align="center">
      <mat-form-field>
        <input matInput name="spaceName" [(ngModel)]="event.space.name" placeholder="Space name">
      </mat-form-field>
    </td>

    <td align="center">
      <mat-form-field>
        <input matInput name="locationName" [(ngModel)]="event.space.location.name" placeholder="Location name">
      </mat-form-field>
    </td>

    <td align="center">
      <mat-form-field>
        <input matInput name="spaceLayoutName" [(ngModel)]="event.spaceLayout.name" placeholder="Space layout name">
      </mat-form-field>
    </td>
  </tr>

  <tr>
    <td align="center">
      <mat-form-field>
        <input matInput name="address" [(ngModel)]="event.space.location.address" placeholder="Address">
      </mat-form-field>
    </td>

    <td align="center">
      <mat-form-field>
        <input matInput name="city" [(ngModel)]="event.space.location.city" placeholder="City">
      </mat-form-field>
    </td>

    <td align="center">
      <mat-form-field>
        <input matInput name="country" [(ngModel)]="event.space.location.country" placeholder="Country">
      </mat-form-field>
    </td>
  </tr>

  <tr>
    <td align="center">
      <mat-form-field>
        <input matInput name="dateFrom" type="date" [(ngModel)]="startDate" placeholder="From">
      </mat-form-field>
    </td>

    <td align="center">
      <mat-form-field>
        <input matInput name="dateTo" type="date" [(ngModel)]="endDate" placeholder="To">
      </mat-form-field>
    </td>

    <td align="center" valign="bottom">

      <button mat-button [disabled]="!searched" (click)="clearSearch()" id="clear-search">Clear search</button>
      <button id="do-search" mat-raised-button color="primary" (click)="onSubmit()">Search</button>
    </td>
  </tr>
</table>

<hr>

<app-event-list [events]="events" *ngIf="events"></app-event-list>
